Skip to main content

ListVirtualDatasourceInstance

Retrieve the list of data source instances in the current workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information for this API. You can use it in the Action element of a RAM permission policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Operation: refers to the specific permission point.
  • Access level: refers to the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: refers to the resource types supported for authorization in the operation. Details are as follows:
    • For required resource types, an asterisk (*) is prefixed.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: refers to the condition keys defined by the cloud product itself.
  • Dependent operation: refers to other permissions required to successfully perform the operation. The caller must also have the permissions of the dependent operations for the operation to succeed.
OperationAccess levelResource typeCondition keyDependent operation
dataanalysisgbi:ListVirtualDatasourceInstancenone
*All Resources
*
    None
None

Request syntax

POST /gbi/virtualDatasource/listVirtualDatasourceInstance HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The Alibaba Cloud Model Studio workspace ID used for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

nextTokenstringNo

Pagination cursor.

  • If this is the first call, do not pass this parameter.

  • If this is not the first call, pass the nextToken returned by the previous call.

e8Z0nRyY51ZQmYljqGNK
maxResultsintegerNo

Maximum number of entries per page.

100

Response parameters

NameTypeDescriptionExample value
object

Result

dataany

Data list.

{ "data": [ { "gmtModified": 1732708238000, "vdbId": "vdb-0380ee25-2f49-4ee1-8de4-419a16da5904", "name": "Test virtual datasource instance creation", "description": "Virtual datasource instance created via SDK", "id": 9, "gmtCreate": 1732708238000, "workspaceId": "10021406" } ], "nextToken": "jN4HsrkljlksnWgb8u5mWQ\u003d\u003d", "totalCount": 0 }
errorMsgstring

Error description.

NoAuth
codestring

Error code.

NoAuth
successboolean

Indicates whether the call was successful. true indicates success; false indicates failure.

true
requestIdstring

Request ID. Each request has a unique value, which helps with troubleshooting.

45390C6D-016D-5030-BF65-031ED1F65003

Examples

Normal response example JSON format
{
  "data": {
    "data": [
      {
        "gmtModified": 1732708238000,
        "vdbId": "vdb-0380ee25-2f49-4ee1-8de4-419a16da5904",
        "name": "测试创建虚拟数据源实例",
        "description": "通过sdk创建的虚拟数据源实例",
        "id": 9,
        "gmtCreate": 1732708238000,
        "workspaceId": 10021406
      }
    ],
    "nextToken": "jN4HsrkljlksnWgb8u5mWQ==",
    "totalCount": 0
  },
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "45390C6D-016D-5030-BF65-031ED1F65003"
}

Error codes

HTTP status codeError codeError messageDescription
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have the permission to the specified workspace.
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
Visit the Error Center to view more error codes.